GET /api/v3/data-source-providers/{lcuid}¶
Summary¶
GET data-source-providers/{id}
Description¶
Return a single data source provider
Tags: data-source-providers
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): Indicates whether the request was successful or notdata_source_provider(object) Type:object
Properties:
name(string): The name of the data source providerinventory_item_class(array): The inventory item class for the data source provider- Array items:
string
- Array items:
inventory_item_class_description(string)-
options(object) Type:objectProperties:
primary_image_public_url(string): Primary image associated with the data source provider
-
lcuid(string): The LCUID associated with the data source provider active(boolean)-
application(object) Type:objectProperties:
name(string)description(string)permissions(object) Type:object
Properties:
-
allowed(array)- Array items:
string
- Array items:
-
status(integer) application_class(string)application_class_description(string)options(object) Type:object
Properties:
primary_image_public_url(string)-
permissions_version(integer) -
lcuid(string) slug(string)created_at(string)organization_name(string)website(string)help_url(string)video_url(string)premium(integer)premium_fees_description(string)updated_at(string)
-
status(integer): The status of the data source provider status_comments(string): Comments regarding the status of the data source providerdescription(string): A description of the data source providercreated_at(string): The timestamp indicating when the data source provider was createdupdated_at(string)
Example Response¶
{
"success": true,
"data_source_provider": {
"name": "Sample Weather Data Feed Provider",
"inventory_item_class": [
"App\\LuCore\\InventoryItems\\GenericInventoryItemClass"
],
"inventory_item_class_description": "Generic",
"options": {
"primary_image_public_url": null
},
"lcuid": "LCUID-LFP-8d2a329f-0d1d-4f2d-b78b-cf158ab97598",
"active": true,
"application": {
"name": "Data Source Provider Test App",
"description": "Here is a new unit test application description",
"permissions": {
"allowed": [
"agency.view",
"agency.update",
"agency.decryptScopedString"
]
},
"status": 0,
"application_class": "App\\LuCore\\Applications\\GenericApplicationClass",
"application_class_description": "Generic placeholder class - Do not use",
"options": {
"primary_image_public_url": null,
"permissions_version": 1
},
"lcuid": "LCUID-LAP-de429621-18f1-41fe-84e8-dcb657044325",
"slug": "DataSourceProviderTestApp40",
"created_at": "2026-01-07T20:36:43.000000Z",
"organization_name": null,
"website": null,
"help_url": null,
"video_url": null,
"premium": 0,
"premium_fees_description": null,
"updated_at": "2026-01-07T20:36:44.000000Z"
},
"status": 1,
"status_comments": null,
"description": "Inventory Feed Provider Unit Test",
"created_at": "2026-01-07T20:36:43.000000Z",
"updated_at": "2026-01-07T20:36:43.000000Z"
}
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/data-source-providers/LCUID-LFP-506fc585-77be-11ec-acb9-c2cdb617d190" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/data-source-providers/LCUID-LFP-506fc585-77be-11ec-acb9-c2cdb617d190"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/data-source-providers/LCUID-LFP-506fc585-77be-11ec-acb9-c2cdb617d190',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/data-source-providers/LCUID-LFP-506fc585-77be-11ec-acb9-c2cdb617d190'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()